%% SIDLOC - Use Cases Tables
%% Copyright (C) 2022 Libre Space Foundation
%%
%% This work is licensed under a
%% Creative Commons Attribution-ShareAlike 4.0 International License.
%%
%% You should have received a copy of the license along with this
%% work.  If not, see <http://creativecommons.org/licenses/by-sa/4.0/>.

\providecommand{\tightlist}{
\setlength{\itemsep}{0pt}\setlength{\parskip}{0pt}}

\newcommand{\UseCases}{
{% for item in issues %}
  \addcontentsline{toc}{subsection}{UC-{{ item.id }} --- {{ item.title | md2tex }}}

  \begin{table}[ht]
    \centering
    \begin{tabular}{lp{0.6\linewidth}}
      \toprule
      \textbf{ID} &
                    \bfseries
                    UC-{{ item.id }} --- {{ item.title | md2tex }}
      \\ \midrule
      \textbf{Actor} &
                             {{ item.content.Actor | md2tex }}
      \\ \midrule
      \textbf{Scope} &
                             {{ item.content.Scope | md2tex }}
      \\ \midrule
      \textbf{Scenario} &
                           {{ item.content.Scenario | md2tex }}
      \\ \bottomrule
    \end{tabular}
  \end{table}
{% endfor %}
}
